Bug 969930 - The PHPRC environment variable in rockmongo is not created as raw value format
The PHPRC environment variable in rockmongo is not created as raw value format
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 01:52 EDT by Jianwei Hou
Modified: 2015-05-14 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:15:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-06-03 01:52:47 EDT
Description of problem:
Create an application with mongodb-2.2 and rockmongo-1.1 added. The content of "PHPRC" created under ~/rockmongo/env is still using the "export key=value" format. Maybe it should only store the raw value to be consistent with the other environment variables.

Version-Release number of selected component (if applicable):
On STG(devenv-stage_356), devenv-stage_356

How reproducible:
Always

Steps to Reproduce:
1. Create an app with mongodb-2.2 and rockmongo-1.1
rhc app create php1 php-5.3 mongodb-2.2 rockmongo-1.1
2. SSH into app
rhc app-ssh php1
3. Check the value for PHPRC in rhcsh

Actual results:
The PHPRC still exports the environment variable the old fashioned way. However, the value can be correctly sourced.
[php1-jhou6.dev.rhcloud.com env]\> pwd
/var/lib/openshift/716232416361372832497664/rockmongo/env
[php1-jhou6.dev.rhcloud.com env]\> cat PHPRC 
export PHPRC="/var/lib/openshift/716232416361372832497664/rockmongo/etc/conf/php.ini"
[php1-jhou6.dev.rhcloud.com env]\> echo $PHPRC
/var/lib/openshift/716232416361372832497664/php//configuration/etc/php.ini

Expected results:
PHPRC should store a raw value
eg: 
[php1-jhou6.dev.rhcloud.com env]\> cat PHPRC 
/var/lib/openshift/716232416361372832497664/rockmongo/etc/conf/php.ini

Additional info:
Comment 1 Paul Morie 2013-06-03 10:25:32 EDT
PR submitted to master
Comment 3 Paul Morie 2013-06-03 14:05:48 EDT
PRs merged to master and stage.
Comment 4 Jianwei Hou 2013-06-03 21:50:54 EDT
Verified on STG
Add rockmongo cartridge to an application, check the value of PHPRC, now it is raw value format

[as1-sprint25.stg.rhcloud.com env]\> echo $PHPRC
/var/lib/openshift/5153f657dbd93c5bcc0000c7/rockmongo/etc/conf/php.ini
[as1-sprint25.stg.rhcloud.com env]\> cat PHPRC 
/var/lib/openshift/5153f657dbd93c5bcc0000c7/rockmongo/etc/conf/php.ini

Note You need to log in before you can comment on or make changes to this bug.